WINE not installable because wine1.4-i486 "is a virtual package" (amd64 system)

Projet:Trisquel
Version:6.0
Composant:Packages
Catégorie:Rapporter un bogue
Priorité:normal
Attribué:Non assigné
Statut:by design
Description

$ sudo aptitude install wine
The following NEW packages will be installed:
libcapi20-3{a} libmpg123-0{a} libodbc1{a} odbcinst{a} odbcinst1debian2{a}
unixodbc{a} wine wine1.4{ab} wine1.4-amd64{a} wine1.4-common{a}
The following packages are RECOMMENDED but will NOT be installed:
gnome-exe-thumbnailer kde-runtime ttf-umefont ttf-unfonts-core
ttf-wqy-microhei winbind
0 packages upgraded, 10 newly installed, 0 to remove and 0 not upgraded.
Need to get 23.0 MB of archives. After unpacking 116 MB will be used.
The following packages have unmet dependencies:
wine1.4 : Depends: wine1.4-i386 (= 1.4-0ubuntu4.1) which is a virtual package.
The following actions will resolve these dependencies:

Keep the following packages at their current version:
1) wine [Not Installed]
2) wine1.4 [Not Installed]
3) wine1.4-amd64 [Not Installed]
4) wine1.4-common [Not Installed]

Accept this solution? [Y/n/q/?] q
Abandoning all efforts to resolve these dependencies.
Abort.
$ uname -a
Linux argus 3.2.0-59-generic #0trisquel1 SMP Sat Feb 22 05:54:55 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

THis is a fresh AMD64 install of Trisquel. WINE is not installable; it should be.

lun, 03/31/2014 - 05:41

After reading about an issue related to ia32-libs-multiarch (and ia32-libs) on Replicant[1] I decided to replicate it. And then I found this issue I am posting to now, 11234, about WINE not working either. The end user problem is the same: the dependencies are missing virtual packages. Also worth mentioning is that there might be other issues with the Trisquel package repo[2].

Note that there are several workarounds floating around the net for this, some of which include grabbing the packages from other already working installations (see [1] again for that). Others suggest changing repos or manually installing lower dependencies. I was unable to have any luck on this machine which I am using at this moment and freshly installed four days ago.

Here's my annonomized uname -a output:
Linux $CompyNameGoesHere 3.2.0-59-generic #0trisquel1 SMP Sat Feb 22 05:54:55 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

EDIT: I am new to the Trisquel community. I just noticed that one can download packages and their dependencies manually[3]. But I agree this is just a workaround, not the elegant solution.
EDIT2: Some of these are still virtual packages, so the Trisquel website itself might be downstream from where the problem lives. I think that's all I have for now.
EDIT3: Looks like this issue may have been around for a while. I'm currently in the middle of trying some of the suggestions. [4]
EDIT4: Link [4] and [5] both suggested doing the following. In Trisquel I had to sudo su, first.
echo "foreign-architecture i386" > /etc/dpkg/dpkg.cfg.d/multiarch
The net change to the file was simply that @MULTIARCH@ changed to i386. apt-get then installed wine without any problems. I'm still testing functionality.

[1] http://redmine.replicant.us/boards/3/topics/603
[2] https://trisquel.info/en/issues/11260
[3] http://packages.trisquel.info/
[4] https://bugs.launchpad.net/ubuntu/+source/ia32-libs/+bug/1016294
[5] https://stackoverflow.com/questions/19462579/ubuntu-dpkg-add-architecture-i386-throwing-error-add-architecture-unknown

ven, 03/23/2018 - 10:52

I have also problems installing wine in Trisquel 8.

I get: https://pastebin.com/va9wuDr2

And if I try to install wine1.6, I'm told it depends on another two packages and so forth.

ven, 03/23/2018 - 17:44

Wine depends on the installation of some i386 packages. Try the following


# dpkg --add-architecture i386
# apt-get update
# apt-get install wine

Sam, 05/05/2018 - 06:55
Statut:active» by design

As per @gnutastyc's comment Trisquel has to have MULTIARCH support configured to install wine.